/* You can add global styles to this file, and also import other style files */

@import './assets/css/hover-min.css';
@import "~quill/dist/quill.core.css";
@import "~quill/dist/quill.bubble.css";
@import "~quill/dist/quill.snow.css";
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@500;700&display=swap");

$primary: #1A237E;

$colors: (
  "info": "#00b3ee",
  "success": "#198754",
  //  --bs-blue: #0d6efd;
  //--bs-indigo: #6610f2;
  //--bs-purple: #6f42c1;
  //--bs-pink: #d63384;
  //--bs-red: #dc3545;
  //--bs-orange: #fd7e14;
  //--bs-yellow: #ffc107;
  //--bs-green: #198754;
  //--bs-teal: #20c997;
  //--bs-cyan: #0dcaf0;
  //--bs-white: #fff;
  //--bs-gray: #6c757d;
  //--bs-gray-dark: #343a40;
  //--bs-primary: #0d6efd;
  //--bs-secondary: #6c757d;
  //--bs-success: #198754;
  //--bs-info: #0dcaf0;
  //--bs-warning: #ffc107;
  //--bs-danger: #dc3545;
  //--bs-light: #f8f9fa;
  //--bs-dark: #212529;
) !default;

.bg-blue, .bg-primary {
  color: #fff;
  background-color: $primary !important;
}

.rContent {
  min-height: 100%;
  padding: 20px;
  margin: 0 auto -50px;
}

.bg-theme {
  background-color: $primary !important;
  color: #fff !important;
}

.navbar-light .navbar-nav .nav-link.active, .navbar-light .navbar-nav .show > .nav-link {
  color: #fff;
  font-weight: bold;
}

.navbar-light .navbar-nav .nav-link, .navbar-light .navbar-nav .show > .nav-link {
  color: #fff;
  font-weight: bold;
}

.navbar-light .navbar-brand {
  color: #fff;
}

.link {
  color: #fff;
  font-weight: bold;
  font-size: 13px;
  text-decoration: none;
}

.w60 {
  width: 60%;
}

body {
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  margin: 0;
  // font-family: Roboto, "Helvetica Neue", sans-serif !important;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  font-size: 12px !important;
  color: #333;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.text-right {
  text-align: right;
}

.text-left {
  text-align: left;
  justify-items: left;
  justify-content: left;
}

.rContent {
  min-height: 100%;
  padding: 20px;
  margin: 0 auto -50px;
}

.bg-theme {
  color: #fff;
  background-color: $primary;
}

.star:after {
  content: '*';
  color: red;
  font-weight: bold;
}

.form-label {
  color: $primary;
  font-weight: bold;
}

input {
  font-size: 12px !important;
  font-weight: bold;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #eee;
  font-size: 12px !important;
}

::-moz-placeholder { /* Firefox 19+ */
  color: #eee;
  font-size: 12px !important;
}

:-ms-input-placeholder { /* IE 10+ */
  color: #eee;
  font-size: 12px !important;
}

:-moz-placeholder { /* Firefox 18- */
  color: #eee;
  font-size: 12px !important;
}

.form-select {
  font-size: 12px !important;
}

.form-control:focus, .form-select:focus {
  border-color: #477AC6;
  box-shadow: none;
}

.button:focus, .btn:focus, .btn-success:focus, .btn-primary:focus, .btn-secondary:focus, .btn-danger:focus {
  box-shadow: none !important;
  border: none !important;
  outline: 0;
}

.pad-25 {
  padding: 25px;
}

.page-head {
  color: $primary;
  font-weight: bold;
}

.center {
  text-align: center !important;
  justify-content: center !important;
  align-items: center !important;
  justify-items: start !important;
}

.modal-theme {
  color: #fff;
  background-color: $primary;
}

.modal-content {
  border-radius: 20px;
}

.modal-header {
  border-radius: 20px 20px 0px 0px;
}

.btn-primary {
  background-color: $primary !important;
  border-color: #1A237E !important;
}

.no-link {
  text-decoration: none;
}

.no-link:hover {
  text-decoration: none;
  background-color: transparent;
  color: #fff !important;
}

.pointer {
  cursor: pointer;
}

.link:hover, .nav-item.active, .nav-item:hover, {
  background-color: #fff !important;
  color: #0a58ca !important;
  border-radius: 5px;
}

.navbar-light .navbar-nav .nav-item.active .nav-link, .nav-item:hover .nav-link {
  color: #0a58ca !important;
  font-weight: bold;
}

.dropdown-item {
  font-size: 12px !important;
}

.nav-item {
  padding: 0px 20px 0px 20px;
}

.btn-info {
  color: #000;
  background-color: #00b3ee;
  border-color: #00b3ee;
}

.btn-info:hover {
  color: #000;
  background-color: #10c8ec;
  border-color: #10c8ec;
}

.btn.btn-icon .svg-icon {
  margin: 0;
  padding: 0;
}

.svg-icon-success {
  color: #198754 !important;
}

.font-size-lg {
  font-size: 0.8rem;
}

.font-weight-bolder {
  font-weight: 600 !important;
}

.text-hover-primary:hover {
  color: #1A237E !important;
}

.bolder, .bold {
  font-weight: bold;
}

.text-black {
  color: #000 !important;
}

.datatable-table th {
  text-transform: uppercase;
  color: $primary !important;
}

.datatable-table td {
  font-weight: bold;
}

.logo-x {
  width: 30px;
  height: 30px;
}

.logo-2x {
  width: 75px;
  height: 75px;
}

.logo-3x {
  width: 120px;
  height: 120px;
}

.text-primary {
  color: $primary !important;
}

.no-link.text-primary:hover {
  color: $primary !important;
  text-decoration: underline;
  cursor: pointer;
}

.br50 {
  border-radius: 50%;
}

.badge {
  font-size: 0.9em !important;
}

.table {
  vertical-align: middle !important;
}

.btn-sm {
  padding: .25rem .35rem !important;
  font-size: 0.85rem;
}

.form-header {
  padding: 15px;
  font-weight: bold;
  cursor: pointer;
}

.form-header.active, .form-header:hover {
  background-color: #fff !important;
  color: $primary !important;
  border: 1px solid $primary;
  cursor: pointer;
}

.bw {
  border-right: 1px solid #fff;
}

.br15 {
  border-radius: 15px;
}

.form-header.active.rbr15, .form-header:hover.rbr15 {
  border-radius: 0px 15px 15px 0px;
}

.form-header.active.lbr15, .form-header:hover.lbr15 {
  border-radius: 15px 0px 0px 15px;
}

.br5 {
  border-radius: 5px;
}

$form-select-font-size: 16px;
